Ciao a tutti, da qualche mese ho problemi con dei pacchetti che non mi permettono di aggiornare la versione installata né di eseguire l'upgrade. Quando digito il comando sudo apt-get upgrade ho questo risultato:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Eseguito
I seguenti pacchetti saranno RIMOSSI:
linux-image-4.2.0-35-generic linux-image-4.2.0-42-generic linux-image-extra-4.2.0-35-generic linux-image-extra-4.2.0-42-generic
0 aggiornati, 0 installati, 4 da rimuovere e 0 non aggiornati.
8 non completamente installati o rimossi.
Dopo quest'operazione, verranno liberati 426 MB di spazio su disco.
Continuare? [S/n] s
(Lettura del database... 279555 file e directory attualmente installati.)
Rimozione di linux-image-extra-4.2.0-35-generic (4.2.0-35.40)...
depmod: FATAL: could not load /boot/System.map-4.2.0-35-generic: No such file or directory
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.2.0-35-generic /boot/vmlinuz-4.2.0-35-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.2.0-35-generic /boot/vmlinuz-4.2.0-35-generic
Error! Your kernel headers for kernel 4.2.0-35-generic cannot be found.
Please install the linux-headers-4.2.0-35-generic package,
or use the --kernelsourcedir option to tell DKMS where it's located
Error! Your kernel headers for kernel 4.2.0-35-generic cannot be found.
Please install the linux-headers-4.2.0-35-generic package,
or use the --kernelsourcedir option to tell DKMS where it's located
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.2.0-35-generic /boot/vmlinuz-4.2.0-35-generic
update-initramfs: Generating /boot/initrd.img-4.2.0-35-generic
WARNING: missing /lib/modules/4.2.0-35-generic
Ensure all necessary drivers are built into the linux image!
depmod: ERROR: could not open directory /lib/modules/4.2.0-35-generic: No such file or directory
depmod: FATAL: could not search modules: No such file or directory
depmod: WARNING: could not open /var/tmp/mkinitramfs_rOpbhJ/lib/modules/4.2.0-35-generic/modules.order: No such file or directory
depmod: WARNING: could not open /var/tmp/mkinitramfs_rOpbhJ/lib/modules/4.2.0-35-generic/modules.builtin: No such file or directory
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.2.0-35-generic /boot/vmlinuz-4.2.0-35-generic
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.2.0-35-generic /boot/vmlinuz-4.2.0-35-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.2.0-35-generic /boot/vmlinuz-4.2.0-35-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.2.0-35-generic /boot/vmlinuz-4.2.0-35-generic
/usr/sbin/grub-mkconfig: 12: /etc/default/grub: quiet splash acpi_backlight=vendor: not found
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 127
dpkg: errore nell'elaborare il pacchetto linux-image-extra-4.2.0-35-generic (--remove): il sottoprocesso installato script di post-removal ha restituito lo stato di errore 1 Rimozione di linux-image-4.2.0-35-generic (4.2.0-35.40)...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.2.0-35-generic /boot/vmlinuz-4.2.0-35-generic
update-initramfs: Deleting /boot/initrd.img-4.2.0-35-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.2.0-35-generic /boot/vmlinuz-4.2.0-35-generic
/usr/sbin/grub-mkconfig: 12: /etc/default/grub: quiet splash acpi_backlight=vendor: not found
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 127
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-4.2.0-35-generic.postrm line 328.
dpkg: errore nell'elaborare il pacchetto linux-image-4.2.0-35-generic (--remove):
il sottoprocesso installato script di post-removal ha restituito lo stato di errore 1 Rimozione di linux-image-extra-4.2.0-42-generic (4.2.0-42.49)...
depmod: FATAL: could not load /boot/System.map-4.2.0-42-generic: No such file or directory
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.2.0-42-generic /boot/vmlinuz-4.2.0-42-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.2.0-42-generic /boot/vmlinuz-4.2.0-42-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.2.0-42-generic /boot/vmlinuz-4.2.0-42-generic
update-initramfs: Generating /boot/initrd.img-4.2.0-42-generic
depmod: WARNING: could not open /var/tmp/mkinitramfs_zgXuYK/lib/modules/4.2.0-42-generic/modules.order: No such file or directory
depmod: WARNING: could not open /var/tmp/mkinitramfs_zgXuYK/lib/modules/4.2.0-42-generic/modules.builtin: No such file or directory
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.2.0-42-generic /boot/vmlinuz-4.2.0-42-generic
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.2.0-42-generic /boot/vmlinuz-4.2.0-42-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.2.0-42-generic /boot/vmlinuz-4.2.0-42-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.2.0-42-generic /boot/vmlinuz-4.2.0-42-generic
/usr/sbin/grub-mkconfig: 12: /etc/default/grub: quiet splash acpi_backlight=vendor: not found
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 127 dpkg: errore nell'elaborare il pacchetto linux-image-extra-4.2.0-42-generic (--remove): il sottoprocesso installato script di post-removal ha restituito lo stato di errore 1 Rimozione di linux-image-4.2.0-42-generic (4.2.0-42.49)...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.2.0-42-generic /boot/vmlinuz-4.2.0-42-generic
update-initramfs: Deleting /boot/initrd.img-4.2.0-42-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.2.0-42-generic /boot/vmlinuz-4.2.0-42-generic
/usr/sbin/grub-mkconfig: 12: /etc/default/grub: quiet splash acpi_backlight=vendor: not found
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 127
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-4.2.0-42-generic.postrm line 328.
dpkg: errore nell'elaborare il pacchetto linux-image-4.2.0-42-generic (--remove): il sottoprocesso installato script di post-removal ha restituito lo stato di errore 1 Segnalazione apport non scritta poiché è stato raggiunto il valore massimo di MaxReports
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ho provato con diversi comandi di pulizia dei pacchetti obsoleti, della cache e altro, tentando in ultimo con

sudo rm /var/lib/dpkg/info/linux-image-extra-4.2.0-35-generic.postinst

per ogni singolo pacchetto ma il risultato è sempre lo stesso.

Inoltre ho dovuto disintallare synaptic (che stranamente si apriva solo operando in modalità root) e non riesco a fare nessuna nuova installazione o aggiornamento dei singoli programmi.

Non sono un esperto e ho fatto tentativi basandomi su quanto letto nel forum e nelle chat dedicate a Ubuntu.

Grazie Ciao Lorenzo

chiesto 01 Nov '17, 11:41

LoNa's gravatar image

LoNa
201


Forse dipende dal fatto che Ubuntu 15.10 è fuori manutenzione da luglio 2016? https://lists.ubuntu.com/archives/ubuntu-announce/2016-July/000210.html

coll. permanente

ha risposto 01 Nov '17, 16:01

corradoventu's gravatar image

corradoventu
392610

Ti ringrazio per la risposta ma non dipende da quello, perché non riesco nemmeno ad aggiornare la versione.

I pacchetti che il sistema segnala come non trovabili non mi permettono di fare nulla, per cui mi chiedo se esista una soluzione diversa dalla formattazione e installazione della versione aggiornata, perché aver scelto Ubuntu per me voleva proprio dire accedere a un sistema che mi svincolasse anche da certe soluzioni estreme.

coll. permanente

ha risposto 02 Nov '17, 06:58

LoNa's gravatar image

LoNa
201

La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×165
×68
×28
×18

domanda posta: 01 Nov '17, 11:41

domanda visualizzata: 124 volte

ultimo aggiornamento: 02 Nov '17, 06:58

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.